/*
 * ПРИМЕР НАСТРОЙКИ ВЫХОДА В РЕЖИМ СЕРВО:
 * Режимы работы выхода модуля энергонезависимы
 * (сохраняются и после отключения питания).
 */

// Подключаем библиотеку для работы с энкодером I2C-flash.
#include "../iarduino_I2C_Encoder.h"
// Инстанциируем объект, указывая адрес модуля на шине I2C.
iarduino_I2C_Encoder enc(0x09);

int main()
{
	// Инициируем работу с энкодером.
	enc.begin();

	/*  Задаём границы поворота сервопривода, указав ширину
	 * импульсов в мкс для минимального и максимального угла.
	 * Как найти ширину импульсов для функции setServoLimit()
	 * рассказано в примере "Установка ограничений поворота вала сервопривода"
	 * на странице https://wiki.iarduino.ru/page/potentiometer-i2c/
	 */
	// enc.setServoLimit(450, 2450);

	// Указываем выводу модуля работать как выход управления сервоприводом,
	enc.setPinOut(ENC_PIN_MODE_SER, 2);

	return 0;
}
